{ moduleFunctions }:
let
  inherit (moduleFunctions.instancesFunctions)
    sopsPath
    ;

  label = "WireGuard";
  name = "wireguard";
in
{
  label = label;
  name = name;
  sops = {
    path0 = "${sopsPath}/${name}";
  };
  ports = {
    port0 = 53;
    port1 = 51821;
  };
}
